Summary: The VIM editor.
Name: vim
Version: 5.6
Release: 1cz
Copyright: freeware
Group: Applications/Editors
Source0: ftp://ftp.oce.nl/pub/vim/unix/vim-%{version}-src.tar.gz
Source1: ftp://ftp.oce.nl/pub/vim/unix/vim-%{version}-rt.tar.gz
Source2: vimx-gtk.wmconfig
Source3: vimx-athena.wmconfig
Source4: vimrc
Source5: vim-gvimrc
Patch0: vim-%{version}-redhat-cz.patch
Patch1: vim-%{version}-vimnotvi.patch
Buildroot: /var/tmp/vim-root
Packager: Pavel Lis <pali@tmapy.cz>

%description
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.
Compiled with dead keys support for czech (iso-8859-2) input ready options.

%package common
Summary: The common files needed by any version of the VIM editor.
Group: Applications/Editors

%description common
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.  The vim-common package
contains files which every VIM binary will need in order to run.

If you are installing any version of the VIM editor, you'll also need to
the vim-common package installed.

%package minimal
Summary: A minimal version of the VIM editor.
Group: Applications/Editors
Requires: vim-common
Obsoletes:  vim

%description minimal
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.  The vim-minimal package
includes a minimal version of VIM, which is installed into /bin/vi for use
when only the root partition is present.

%package enhanced
Summary: A version of the VIM editor which includes recent enhancements.
Group: Applications/Editors
Requires: vim-common
Obsoletes: vim-color

%description enhanced
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.  The vim-enhanced package
contains a version of VIM with extra, recently introduced features like
Python and Perl interpreters.

Install the vim-enhanced package if you'd like to use a version of the VIM
editor which includes recently added enhancements like interpreters for the
Python and Perl scripting languages.  You'll also need to install the
vim-common package.

%package X11-gtk
Summary: The VIM version of the vi editor for the X Window System.
Group: Applications/Editors
Requires: vim-common

%description X11-gtk
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more. VIM-X11 is a version of the
VIM editor which will run within the X Window System.  If you install this
package, you can run VIM as an X application with a full GUI interface and
mouse support.

Install the vim-X11 package if you'd like to try out a version of vi with
graphics and mouse capabilities.  You'll also need to install the
vim-common package.

%package X11-athena
Summary: The VIM version of the vi editor for the X Window System.
Group: Applications/Editors
Requires: vim-common

%description X11-athena
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more. VIM-X11 is a version of the
VIM editor which will run within the X Window System.  If you install this
package, you can run VIM as an X application with a full GUI interface and
mouse support.

Install the vim-X11 package if you'd like to try out a version of vi with
graphics and mouse capabilities.  You'll also need to install the
vim-common package.

%prep
%setup -q -b 1
%patch0 -p1 
%patch1 -p1 
/bin/sh ./rh-setup

%build
cd src

./configure --prefix=/usr --enable-pythoninterp --enable-perlinterp --with-x=yes --enable-gui=gtk --enable-xim --exec-prefix=/usr/X11R6
make 
cp vim gvim-gtk
make clean

./configure --prefix=/usr --enable-pythoninterp --enable-perlinterp --with-x=yes --enable-gui=athena --enable-xim --exec-prefix=/usr/X11R6
make 
cp vim gvim-athena
make clean

./configure --prefix=/usr --enable-pythoninterp --enable-perlinterp --enable-gui=no --exec-prefix=/usr
make
cp vim enhanced-vim
make clean

./configure --prefix='${DEST}'/usr --with-x=no --disable-pythoninterp --disable-perlinterp --with-tlib=termcap --enable-gui=no --exec-prefix=/
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/bin
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man1,share/vim,X11R6/bin}

cd src
make prefix=$RPM_BUILD_ROOT/usr exec_prefix=$RPM_BUILD_ROOT/ install
mv $RPM_BUILD_ROOT/bin/xxd $RPM_BUILD_ROOT/usr/bin
make installmacros DEST=$RPM_BUILD_ROOT
install -s -m755 gvim-gtk $RPM_BUILD_ROOT/usr/X11R6/bin
install -s -m755 gvim-athena $RPM_BUILD_ROOT/usr/X11R6/bin
install -s -m755 enhanced-vim $RPM_BUILD_ROOT/usr/bin/vim
install -m644 $RPM_SOURCE_DIR/vimrc $RPM_BUILD_ROOT/usr/share/vim
install -m644 $RPM_SOURCE_DIR/vim-gvimrc $RPM_BUILD_ROOT/usr/share/vim/gvimrc
install -m644 ../termcap $RPM_BUILD_ROOT/usr/share/vim/
install -m644 ../README*.txt $RPM_BUILD_ROOT/usr/share/vim/
install -m644 ../*.xpm $RPM_BUILD_ROOT/usr/share/vim/
install -m644 ../*.gif $RPM_BUILD_ROOT/usr/share/vim/

( cd $RPM_BUILD_ROOT
  mv -f ./bin/vim ./bin/vi
  rm -f ./bin/rvim
  ln -sf vi ./bin/view
  ln -sf vi ./bin/ex
  ln -sf vi ./bin/rvi
  ln -sf vi ./bin/rview
  ln -sf vim ./usr/bin/vi
  ln -sf vim ./usr/bin/ex
  rm -f ./usr/man/man1/rvim.1
  ln -sf vim.1 ./usr/man/man1/vi.1
  ln -sf vim.1 ./usr/man/man1/rvi.1
  ln -sf vim.1 ./usr/man/man1/gvim-gtk.1
  ln -sf vim.1 ./usr/man/man1/gvim-athena.1
  echo -e '#!/bin/sh\nexec /usr/X11R6/bin/gvim-gtk $@'> \
          ./usr/X11R6/bin/vimx-gtk
  echo -e '#!/bin/sh\nexec /usr/X11R6/bin/gvim-athena $@' > \
          ./usr/X11R6/bin/vimx-athena
  mkdir -p ./etc/X11/wmconfig
  install -m644 $RPM_SOURCE_DIR/vimx-gtk.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/gvim-gtk
  install -m644 $RPM_SOURCE_DIR/vimx-athena.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/gvim-athena
)

%clean
rm -rf $RPM_BUILD_ROOT
   
%files common
%defattr(-,root,root)
%doc /usr/share/vim/doc 
%doc /usr/share/vim/README*.txt 
%doc /usr/share/vim/tutor

/usr/share/vim/macros
/usr/share/vim/syntax
/usr/share/vim/tools
/usr/share/vim/*.vim
/usr/share/vim/*.xpm
/usr/share/vim/*.gif
/usr/share/vim/termcap
/usr/share/vim/vimrc
/usr/share/vim/gvimrc
/usr/man/man1/vim.1
/usr/man/man1/ex.1
/usr/man/man1/vi.1
/usr/man/man1/view.1
/usr/man/man1/rvi.1
/usr/man/man1/rview.1
/usr/bin/xxd
/usr/man/man1/xxd.1

%files minimal
%defattr(-,root,root)
/bin/ex
/bin/vi
/bin/view
/bin/rvi
/bin/rview

%files enhanced
%defattr(-,root,root)
/usr/bin/vim
/usr/bin/vi
/usr/bin/ex

%files X11-gtk
%defattr(-,root,root)
%config(missingok) /etc/X11/wmconfig/gvim-gtk
/usr/X11R6/bin/gvim-gtk
%attr(0755,root,root) /usr/X11R6/bin/vimx-gtk
/usr/man/man1/gvim-gtk.1

%files X11-athena
%defattr(-,root,root)
%config(missingok) /etc/X11/wmconfig/gvim-athena
/usr/X11R6/bin/gvim-athena
%attr(0755,root,root) /usr/X11R6/bin/vimx-athena
/usr/man/man1/gvim-athena.1

%changelog
* Mon Feb 18 2000 Pavel Lis <pali@tmapy.cz>
- updated to 5.6

* Sat Oct  9 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- fixed vimrc
- then vimx-{gtk,athena} files changed to scripts

* Fri Sep 24 1999 Pavel Lis <pali@tmapy.cz>
- updated to 5.5

* Thu Jul 12 1999 Pavel Lis <pali@tmapy.cz>
- compile with --enable-xim for correct czech keyboard working
- with patch from Radim Halir to correct Athena version

* Thu Mar 25 1999 Preston Brown <pbrown@redhat.com>
- with recent termcap/terminfo fixes, regular vim works in xterm/console
- in color, so vim-color package removed.

* Tue Mar 23 1999 Erik Troan <ewt@redhat.com>
- removed "set backupdir=/tmp/vim_backup" from default vimrc

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Thu Dec 17 1998 Michael Maher <mike@redaht.com>
- built pacakge for 6.0

* Tue Sep 15 1998 Michael Maher <mike@redhat.com>
- removed '--with-tlib=termcap' so that color-vim works

* Wed Sep  2 1998 Jeff Johnson <jbj@redhat.com>
- update to 5.3.

* Mon Aug 10 1998 Jeff Johnson <jbj@redhat.com>
- merge in Toshio's changes
- color-vim: changed "--disable-p" to "--disable-perlinterp --with-tlib=termcap"
- added minimal rvi/rview and man pages.
- move Obsoletes to same package as executable.

* Thu Aug 06 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Break the package apart similar to the way the netscape package was
  broken down to handle navigator or communicator: The vim package is
  Obsolete, now there is vim-common with all the common files, and a
  package for each binary: vim-minimal (has /bin/vi compiled with no
  frills), vim-enhanced (has /usr/bin/vim with extra perl and python
  interpreters), and vim-X11 (has /usr/X11R6/bin/gvim compiled with
  GUI support.)
- Enable the perl and python interpreters in the gui version (gvim).

* Tue Jun 30 1998 Michael Maher <mike@redhat.com>
- Fixed tutor help.
- cvim package added.  Thanks to Stevie Wills for finding this one :-)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri May 01 1998 Donnie Barnes <djb@redhat.com>
- added patch to turn off the "vi compatibility" by default.  You can
  still get it via the -C command line option

* Thu Apr 23 1998 Donnie Barnes <djb@redhat.com>
- removed perl and python interpreters (sorry, but those don't belong
  in a /bin/vi and having two vi's seemed like overkill...complain
  to suggest@redhat.com if you care)

* Fri Apr 17 1998 Donnie Barnes <djb@redhat.com>
- fixed buildroot bug

* Sat Apr 11 1998 Donnie Barnes <djb@redhat.com>
- updated from 4.6 to 5.1
- moved to buildroot

* Sun Nov 09 1997 Donnie Barnes <djb@redhat.com>
- fixed missing man page

* Wed Oct 22 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry to vim-X11

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- upgraded from 4.5 to 4.6

* Fri Jun 13 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Michael K. Johnson <johnsonm@redhat.com>
- Upgraded to 4.5
- Added ex symlinks

* Tue Mar 11 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added view symlink.
